<?php defined('C5_EXECUTE') or die("Access Denied.");

use Concrete\Core\View\View;
use \Concrete\Package\MoceanApiBroadcast\Src\Entity\MoceanHistory;
$view = View::getInstance();
$view->requireAsset('javascript', 'mocean_api_broadcast/cookieconsent');
$view->requireAsset('javascript', 'mocean_api_broadcast/yandex');
$view->requireAsset('css', 'mocean_api_broadcast/animate');
$view->requireAsset('css', 'mocean_api_broadcast/cookieconsent');
$view->requireAsset('css', 'mocean_api_broadcast/main');
?>

    <div class="ccm-dashboard-header-buttons">
    </div>

        <form role="form" class="form-inline ccm-search-fields">
            <div class="ccm-search-fields-row ccm-search-fields-submit" style="float: right">
                <div class="form-group">
                    <?php echo $form->search('keywords', $searchRequest['keywords']); ?>
                </div>
                <button type="submit" class="btn btn-default"><?php echo t('Search'); ?></button>
            </div>
        </form>

        <table class="ccm-search-results-table">
            <thead>
                <tr>
                    <th><a><?php echo t('Sender'); ?></a></th>
                    <th><a><?php echo t('Datetime'); ?></a></th>
                    <th><a><?php echo t('Message'); ?></a></th>
                    <th><a><?php echo t('Recipient'); ?></a></th>
                    <th><a><?php echo t('Response'); ?></a></th>
                    <th><a><?php echo t('Status'); ?></a></th>
                </tr>
            </thead>
            <tbody>

            <?php if (is_array($history) && count($history) > 0) {
                foreach ($history as $hist) {
                    ?>
                    <tr>
                        <td><?php echo t($hist->getSender()); ?></td>
                        <td><?php echo t($hist->getDatetime()->format('Y-m-d H:i:s')); ?></td>
                        <td><?php echo t($hist->getMessage()); ?></td>
                        <td><?php echo t($hist->getRecipient()); ?></td>
                        <td><?php echo t($hist->getResponse()); ?></td>
                        <td><?php echo t($hist->getStatus()); ?></td>
                    </tr>
                <?php }
            }?>
            </tbody>
        </table>

        <?php if ($paginator && $paginator->getTotalPages() > 1) { ?>
            <div class="ccm-search-results-pagination">
                <?php echo $pagination; ?>
            </div>
        <?php } ?>



